org.apache.nutch.indexer

## Interface IndexingFilter

- All Superinterfaces:
    Configurable, FieldPluggable, Pluggable
  All Known Implementing Classes:
    AnchorIndexingFilter, BasicIndexingFilter, CCIndexingFilter, HtmlIndexingFilter, JsoupIndexingFilter, LanguageIndexingFilter, MetadataIndexer, MoreIndexingFilter, RelTagIndexingFilter, SubcollectionIndexingFilter, TLDIndexingFilter

      public interface IndexingFilter
      extends FieldPluggable, Configurable

  Extension point for indexing. Permits one to add metadata to the indexed fields. All plugins found which implement this extension point are run sequentially on the parse.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `X_POINT_ID` The name of the extension point.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NutchDocument` | `filter(NutchDocument doc, java.lang.String url, WebPage page)` Adds fields or otherwise modifies the document that will be indexed for a parse.

    - ### Methods inherited from interface org.apache.nutch.plugin.FieldPluggable

      `getFields`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Field Detail

    - #### X_POINT_ID

          static final java.lang.String X_POINT_ID

      The name of the extension point.

  - ### Method Detail

    - #### filter

          NutchDocument filter(NutchDocument doc,
                               java.lang.String url,
                               WebPage page)
                        throws IndexingException

      Adds fields or otherwise modifies the document that will be indexed for a parse. Unwanted documents can be removed from indexing by returning a null value.
      Parameters:
        `doc` - document instance for collecting fields
        `url` - page url
        `page` -
      Returns:
        modified (or a new) document instance, or null (meaning the document should be discarded)
      Throws:
        `IndexingException`

Copyright © 2019 The Apache Software Foundation